# Interface IBeforeRedirectEventArgs

The `IBeforeRedirectEventArgs` interface describes the object that all `beforeRedirect` event handlers receive as an argument.

## Index

### Properties

- cancel
- searchPageUri

## Properties

### cancel

cancel: boolean

- Defined in events/StandaloneSearchInterfaceEvents.ts :14

If this property is set to `true` by a `beforeRedirect` event handler, the [`StandaloneSearchBox`]{@link StandaloneSearchBox} component will not redirect to the full search page.

### searchPageUri

searchPageUri: string

- Defined in events/StandaloneSearchInterfaceEvents.ts :9

The URI of the page that the search interface will redirect to when a query is performed by the [`StandaloneSearchBox`]{@link StandaloneSearchBox} component.

### Hierarchy

- IBeforeRedirectEventArgs